ProFTPD FTP Command Handling Symlink Arbitrary File Overwrite

Low Nessus Plugin ID 66970


The remote FTP server is affected by an arbitrary file overwrite vulnerability.


The remote host is using ProFTPD, a free FTP server for Unix and Linux. According to its banner, the version of ProFTPD installed on the remote host earlier than 1.3.4c. As such, it is potentially affected by a race condition error that does not securely create temporary files related to symlinks and newly created directories. A local, attacker could leverage this issue to overwrite arbitrary files and elevate privileges.

Note that Nessus did not actually test for the flaw but has instead relied on the version in ProFTPD's banner.


Upgrade to 1.3.4c / 1.3.5rc1 or apply the patch from the vendor.

See Also

Plugin Details

Severity: Low

ID: 66970

File Name: proftpd_mkd_xmkd_file_overwrite.nasl

Version: $Revision: 1.5 $

Type: remote

Family: FTP

Published: 2013/06/24

Modified: 2017/04/25

Dependencies: 10092

Risk Information

Risk Factor: Low


Base Score: 1.2

Temporal Score: 0.9

Vector: CVSS2#AV:L/AC:H/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:proftpd:proftpd

Required KB Items: ftp/proftpd, Settings/ParanoidReport

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2012/11/08

Vulnerability Publication Date: 2012/11/08

Reference Information

CVE: CVE-2012-6095

BID: 57172

OSVDB: 89051